#ifndef CLIENT_H
#define CLIENT_H

typedef struct Client
{
    short port;
    int socket;
} Client;

void clientInitDefaults(Client* c);
int clientInit(Client* c, char* ip, short port);
void clientRemove(Client* c);

int clientReceive(Client* c, Stream* in); 
void clientWaitForData(Client* c);

int clientSendData(Client* c, Stream* s);

#endif

